Metadata-Version: 2.4
Name: ascutil
Version: 0.1.0
Classifier: Programming Language :: Rust
Classifier: Programming Language :: Python :: Implementation :: CPython
Classifier: Programming Language :: Python :: Implementation :: PyPy
Requires-Python: >=3.8
Description-Content-Type: text/markdown; charset=UTF-8; variant=GFM
Project-URL: Homepages, https://github.com/heiljj/ascutil

# ascutil
Python bindings for fast .asc circuit mutation.

## Usage
```
from ascutil import mutate

rows = list(range(16))
columns = list(range(54))
mutate("circuit_copy.asc", rows, columns, 0.5)
```

## Building
```
python3 -m venv .venv
source .venv/bin/activate
pip install maturin
maturin build --release
```
